at.chipkarte.client.prop.soap

## Class BefundReferenz

- Object
- - at.chipkarte.client.prop.soap.BefundReferenz

-     public class BefundReferenz
      extends Object

  Beinhaltet Referenzdaten für einen Präoperativen Befund.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BefundReferenz()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAusstellung()` Ausstellungsdatum.
    `EkvkPatient` | `getEkvkPatient()` Daten eines Patienten ohne SV-Nummer.
    `String` | `getKennung()` Patienteneindeutige Kennung.
    `String` | `getProtokollnummer()` Protokollnummer.
    `SvPatient` | `getSvPatient()` Patient, für den der Befund erstellt wurde.
    `void` | `setAusstellung(String ausstellung)`
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setKennung(String kennung)`
    `void` | `setProtokollnummer(String protokollnummer)`
    `void` | `setSvPatient(SvPatient patient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BefundReferenz

          public BefundReferenz()

  - ### Method Detail

    - #### getSvPatient

          public SvPatient getSvPatient()

      Patient, für den der Befund erstellt wurde.
      Returns:
        Patientendaten

    - #### setSvPatient

          public void setSvPatient(SvPatient patient)

    - #### getKennung

          public String getKennung()

      Patienteneindeutige Kennung.
      Format: 5-stellig
      Returns:
        Kennung
      See Also:
        `Befund.getKennung()`

    - #### setKennung

          public void setKennung(String kennung)

    - #### getProtokollnummer

          public String getProtokollnummer()

      Protokollnummer.
      Format: 16-stellig
      Returns:
        Protokollnummer
      See Also:
        `Befund.getProtokollnummer()`

    - #### setProtokollnummer

          public void setProtokollnummer(String protokollnummer)

    - #### getAusstellung

          public String getAusstellung()

      Ausstellungsdatum.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Ausstellungsdatum

    - #### setAusstellung

          public void setAusstellung(String ausstellung)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      Daten eines Patienten ohne SV-Nummer.
      Returns:
        EkvkPatient
      See Also:
        `EkvkPatient`

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)